updated INSTALL to conform with autotools
[strongswan.git] / HACKING
1                  -------------------------
2                   strongSwan - Development
3                  -------------------------
4
5 For interested developers, we have a public repository. To check out and 
6 compile the code, you need the following tools:
7
8     - Subversion (1.3.1)
9     - a recent GNU C complier (gcc-3.4.6)
10     - recent autotools (autoconf-2.59, automake-1.9.6, libtool-1.5.22)
11     - the usual strongSwan dependencies (gmp >= 4.1.4, optional curl, ldap)
12     - perl (5.8.8)
13     - lex (flex-2.5.33)
14     - yacc (bison-2.1)
15     - gperf (3.0.1)
16     - Doxygen (1.4.6)
17
18 The numbers in brackets represent the versions used on our development systems,
19 other version MAY work, too. Not all tools are checked by the configure script,
20 as they are not needed in the tarball distributions, so check them manually.
21
22 To check out the trunk, use:
23
24     svn co http://www.strongswan.org/ikev2/trunk strongswan
25
26 After a successful check out, give the autotools a try:
27
28     cd strongswan/
29     ./autogen.sh
30
31 Then you're in, start the build as usual:
32
33     ./configure [options]
34     make
35     make install